
# strip-changes-markup

This program removes [changes](https://www.ctan.org/pkg/changes) package markup from LaTeX documents. It was written because none of the existing regular expression based scripts actually worked on any sort of complex markup. This program (written in [Rust](https://www.rust-lang.org)) is not based on regular expressions, but has an actual semi-proper parser.

## Installation and usage

1. Install [Rust](https://www.rust-lang.org) following instructions.
2. Run `cargo build` to compile the program (optional; the next step does it if needed).
3. To process a document, use
   ```
   cargo run < input.tex > output.tex
   ```
   You may also find the built binary under `target/debug/strip-changes-markup`, and copy it to a place that works for you, instead of using `cargo` to run the program.

   